% This demo script displays a chunk of the spectrum around 315 MHz
% Inject a 315 MHz, -20 dBm signal with or without modulation

fftSize = 1024
startFreq = 314.9e6
stepFreq = 486111.111 / fftSize % This is from the API Manual, default clock setting
stopFreq = 315.1e6
addpath('c:\MatLabDLL') %path to dll

if (libisloaded('SH_APImw') == 0)
    loadlibrary('SH_APImw','SHAPImw.h')
    calllib('SH_APImw','SHAPI_Initialize')
end

calllib('SH_APImw','SHAPI_Configure',10.0,1,1,1,0,0)
retcount=calllib('SH_APImw','SHAPI_GetSlowSweepCount',startFreq,stopFreq,fftSize)
pTrace = libpointer('doublePtr',zeros(retcount,1));
y=double(zeros(retcount,1));
x=startFreq:stepFreq:stopFreq;
for i = 1:10
    calllib('SH_APImw','SHAPI_GetSlowSweep',pTrace,startFreq,stopFreq,retcount,fftSize,4,0);
    y=pTrace.Value;
    plot(x,y)
    xlabel('Frequency (Hz)')
    ylabel('Amplitude (dBm)')
    figure(gcf)
end
