% Begin with the SA44B and TG44A connected using a BNC cable for the 'Sync' 
%  and an SMA 'thru' for the RF.
fftSize = 1024
retcount=1001
startFreq = 225.0e6 % Sweep from 225 - 275 MHz
stepFreq = 5.0e4 % Sweep with 50 KHz steps
stopFreq = startFreq + (retcount-1) * stepFreq 
addpath('c:\MatLabDLL') %path to dll

if (libisloaded('SH_APImw') == 0)
    loadlibrary('SH_APImw','SHAPImw.h')
    calllib('SH_APImw','SHAPI_Initialize')
end

m = msgbox('Connect SMA thru and BNC Sync cable','USER ACTION'); % Inform the user to connect the device to test 
waitfor(m)

calllib('SH_APImw','SHAPI_Configure',10.0,1,1,1,0,0)
pTrace = libpointer('doublePtr',zeros(retcount,1));
y=double(zeros(retcount,1));
thru=double(zeros(retcount,1));
calllib('SH_APImw','SHAPI_ProcTGSweep',pTrace,startFreq,stepFreq,retcount,10); % throw away the first sweep - may not be stable
calllib('SH_APImw','SHAPI_ProcTGSweep',pTrace,startFreq,stepFreq,retcount,10);
thru=pTrace.Value; %store the THRU
m = msgbox('Connect device to test between TG and SA','USER ACTION'); % Inform the user to connect the device to test 
waitfor(m)

x=startFreq:stepFreq:stopFreq;

calllib('SH_APImw','SHAPI_ProcTGSweep',pTrace,startFreq,stepFreq,retcount,10);
y=pTrace.Value;
y=y-thru;
plot(x,y)
xlabel('Frequency (Hz)')
ylabel('| S21 | (dBc)')
figure(gcf)
