% This demo script captures an I Q data packet around a 315 MHz carrier.

addpath('c:\MatLabDLL') %path to dll

if (libisloaded('SH_APImw') == 0)
    loadlibrary('SH_APImw','SHAPImw.h')
    calllib('SH_APImw','SHAPI_Initialize')
end

IData=int32(zeros(1024,1));
QData=int32(zeros(1024,1));
pIData = libpointer('int32Ptr',zeros(1024,1));
pQData = libpointer('int32Ptr',zeros(1024,1));
pCF = libpointer('doublePtr',315.0e6);

calllib('SH_APImw','SHAPI_Configure',10.0,1,1,1,0,0)
calllib('SH_APImw','SHAPI_GetIQDataPacket',pIData, pQData, pCF, 1024)
centerFreq = pCF.Value % Capture the actual center frequency of the carrier
%Typically, the return value will be within a few KHz of the requested
%value.  You can do a complex multiply on the data to shift the carrier if needed.

IData = pIData.Value
QData = pQData.Value
x=1:1024


plot(x,IData,x,QData)
xlabel('index')
ylabel(sprintf('I Q (carrier @ %e Hz)',centerFreq)) %Show 
figure(gcf)

